/*************************************************************
EDGE-1.0 is an individual-based, spatially explicit simulation
model for analysing demographic and landscape effects on
population dynamics.

Copyright (C) 2005  Lutz Tischendorf

This program is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
*************************************************************/

#ifndef __IBUSEPMEXCEPTION_CPP
#define __IBUSEPMEXCEPTION_CPP

#include "ibusepmexception.h"
#include <stdio.h>
#include <ctype.h>

IbusepmException::IbusepmException() : exception()
{
	message = "IbusepmException: no message defined";
}

IbusepmException::IbusepmException(const char* _m1, const char* _m2, 
								   const char* _m3, const char* _m4)
{
	char* buffer = new char[1000];
	sprintf(buffer,"%s%s%s%s%s","The following Exception occured: ",_m1,_m2,_m3,_m4);
	message = buffer;
}

IbusepmException::~IbusepmException()
{
}

#endif